/*
 * Copyright (C) SapphireCode - All Rights Reserved
 * This file is part of Snippeteer which is released under BSD-3-Clause.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, May 2020
 */

import { Snippet } from '../../Snippet';
import { MainMenu } from './menu/MainMenu';
import { Database as DatabaseClass } from './classes/Database';

export default class Database implements Snippet {
  public is_active (): boolean {
    return false;
  }

  public async start (): Promise<void> {
    await (new MainMenu (new DatabaseClass))
      .run ();
  }
}
